
/*! ============================================================================= */

/*! Site header element. */

/*! ============================================================================= */
.site-header {
	top: 0;
	left: 0;
	width: 100%;
	z-index: 1000;
	color: #000;
}

.site-header--pos-static {
	position: static;
}

.site-header--pos-absolute {
	position: absolute;
}

.site-header a {
	transition: opacity 250ms;
	color: inherit;
	text-decoration: none;
}

.site-header a:hover {
	opacity: .6;
}

/*! ================================= special styles for identity */
a.site-header__identity:hover {
	opacity: 1;
}

/*! ================================= flexbox helper wrapper */
.site-header__inner-wrapper {
	position: relative;
	padding: 15px 30px 50px;
}

@media (max-width: 767.98px) {
	.site-header__inner-wrapper {
		padding: 15px;
		padding-bottom: 50px;
	}
}

/*! ================================= header navigation container */
.site-header__nav {
	display: flex;
	align-items: center;
	padding: 0 30px;
}

.site-header__nav a {
	font-size: 12px;
	white-space: nowrap;
}

.site-header__nav a span:not(:last-child) {
	letter-spacing: 2px;
}

@media (max-width: 991.98px) {
	.site-header__nav {
		display: none;
	}
}

.site-header__nav-ul {
	margin: 0;
	padding: 0;
	list-style: none;
	display: flex;
	flex-wrap: wrap;
}

.site-header__nav-ul > li {
	padding: 10px 0;
}

.site-header__nav-ul > li > a {
	display: inline-block;
	padding: 0 30px;
	text-transform: uppercase;
}

/*! ================================= navigation drop-downs */
.site-header__nav-ul > li.menu-item-has-children {
	position: relative;
}

.site-header__nav-ul > li.menu-item-has-children.current-menu-parent:after {
	content: "";
	position: absolute;
	bottom: 8px;
	left: 30px;
	right: 30px;
	height: 1px;
	background: currentColor;
	opacity: .2;
	z-index: 450;
	transition: opacity 250ms;
}

.site-header__nav-ul > li.menu-item-has-children > .sub-menu {
	position: absolute;
	top: 100%;
	left: 50%;
	background: #fff;
	text-align: center;
	padding: 16px 0;
	list-style: none;
	margin: 0;
	transform: translate(-50%, -10px);
	transition: all 250ms;
	visibility: hidden;
	display: flex;
	flex-direction: column;
	opacity: 0;
	z-index: 500;
	box-shadow: 0 0 15px 3px rgba(0, 0, 0, .1);
}

.site-header__nav-ul > li.menu-item-has-children > .sub-menu:after {
	content: "";
	transform: translate(-50%, 0);
	position: absolute;
	bottom: 100%;
	left: 50%;
	width: 0;
	height: 0;
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	border-bottom: 5px solid #fff;
}

.site-header__nav-ul > li.menu-item-has-children > .sub-menu > li > a {
	line-height: 20px;
	display: block;
	padding: 4px 30px;
	color: #000;
	transition: background-color 250ms, color 250ms;
}

.site-header__nav-ul > li.menu-item-has-children > .sub-menu > li.current-menu-item > a, .site-header__nav-ul > li.menu-item-has-children > .sub-menu > li:hover > a {
	color: #000;
	background: #ebe8e4;
	opacity: 1;
}

.site-header__nav-ul > li.menu-item-has-children:hover.current-menu-parent:after {
	opacity: 0;
}

.site-header__nav-ul > li.menu-item-has-children:hover > a {
	opacity: .6;
}

.site-header__nav-ul > li.menu-item-has-children:hover > .sub-menu {
	opacity: 1;
	transform: translate(-50%, 0);
	visibility: visible;
}

/*! ================================= place for all additional menu control elements */
.site-header__appendix {
	margin: -15px;
	display: flex;
	align-items: center;
}

.site-header__appendix a {
	display: inline-block;
	padding: 15px;
	font-size: 0;
}

.site-header__appendix a svg {
	font-size: 14px;
}

@media (max-width: 991.98px) {
	.site-header__appendix a svg {
		font-size: 18px;
	}
}

@media (min-width: 992px) {
	.site-header__appendix .site-header__mobile-menu-trigger {
		display: none;
	}
}
